Subject: Re: bug#42218: 28.0.50; Fix for missed item undecoration on allout-widgets-mode deactivation

From: Ken Manheimer <[email-masked]>
Date: Mon, 20 Jul 2020 16:09:51 -0400

On Mon, Jul 20, 2020 at 3:28 PM Eli Zaretskii <[email-masked]> wrote:

> > Date: Mon, 20 Jul 2020 22:24:49 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> >
> > > I'm sorry I didn't wait for your reply, I already pushed to the
> emacs-27 branch (as well as master). I will avoid
> > > committing to a release branch in the future.
> >
> > Please revert that commit you made
>
> To clarify: I meant to revert it on emacs-27 only; it should stay on
> master.
>

Understood.

In my local checkout of the emacs-27 branch I have reversal of the five
commits ready to push upstream. I'm sorry to bother you further with this,
but rather than risk compounding the problem I want to double-check that
reversing the commits (rather than, eg, reversing the changes in new
commits) is the right way to go, before I push upstream. I know that this
is a different situation than to problem-prone one of doing a reset and
pushing that, but haven't pushed reversed commits and want to be sure.
(This time I will wait for your reply rather than just going ahead.)

Thanks!
Ken